# EncryptionMode enum

Encryption/Decryption mode to be used when an image is loaded/saved.

Inheritance
  - Object
  - Enum
  - EncryptionMode
Available extensions
  - EnumName

## Values

REQUIRED → const EncryptionMode

  Encryption/Decryption is used when loading/saving an image. A crypting provider must first be set using `ImageRef.setStorageCryptingProvider`. If no provider is set, the loading/saving operation will fail.

DISABLED → const EncryptionMode

  Encryption/Decryption is not used when loading/saving an image.

IF_AVAILABLE → const EncryptionMode

  Encryption/Decryption is used when loading/saving an image if a crypting provider is set using `ImageRef.setStorageCryptingProvider`.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<EncryptionMode>
  A constant List of the values in this enum, in order of their declaration.